import { createAsyncStructure, createActionStructure } from 'store/utils/actions';

import constants from './constants';

const actions = {
  init: createAsyncStructure(`${constants.prefix}_init`),
  profile: createAsyncStructure(`${constants.prefix}_profile`),
  updateProfile: createAsyncStructure(`${constants.prefix}_update_profile`),
  signup: createAsyncStructure(`${constants.prefix}_signup`),
  removeAccount: createAsyncStructure(`${constants.prefix}_remove_account`),
  loadAccountResource: createAsyncStructure(`${constants.prefix}_load_resource`),
  selectAccountResource: createActionStructure(`${constants.prefix}_select_resource`),
};

export default actions;
